<?php
	$this->Html->css('EvPaypal.card_fields', ['inline' => false]);

	// Then load the script that initialises the fields etc. The main paypal include should be added before this.
	echo $this->Element('EvPaypal.hosted_fields_script');
?>

<!-- Advanced credit and debit card payments form -->

<div id="paypal-card-form-container"
	data-amount="<?= number_format($amount, 2) ?>"
	data-currency="<?= $currency ?>"
	data-checkout-form="<?= $checkoutFormSelector ?>"
	data-customer-name="<?= h($customerName) ?>"
	data-shipping-address="<?= h(json_encode($deliveryAddress)) ?>",
	data-brand-name="<?= h($paypal['brandName']) ?>"
	data-hash="<?= hash('sha256', number_format($amount, 2) . $currency . $paypal['hashSalt']) ?>"
>
	<?= $this->Element('EvPaypal.card_form', ['formOptions' => $formOptions, 'showOrDivider' => $showOrDivider]); ?>
</div>
